> ## Documentation Index
> Fetch the complete documentation index at: https://docs.peec.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Project Profile

> Read the project's brand profile (description, industry, brand identity, target markets, audience distribution, products & services). Returns `{ profile: null }` if the project hasn't been profiled yet.



## OpenAPI

````yaml https://api.peec.ai/customer/v1/openapi/json get /project-profile
openapi: 3.0.3
info:
  title: Peec AI Customer API
  description: Development documentation
  version: 1.0.0
  contact:
    name: Peec AI Team
    email: support@peec.ai
servers:
  - url: https://api.peec.ai/customer/v1
security: []
paths:
  /project-profile:
    get:
      tags:
        - Project
      summary: Get Project Profile
      description: >-
        Read the project's brand profile (description, industry, brand identity,
        target markets, audience distribution, products & services). Returns `{
        profile: null }` if the project hasn't been profiled yet.
      operationId: getProject-profile
      parameters:
        - name: project_id
          in: query
          required: false
          schema:
            description: Required if using a company api key
            example: or_f45b94ba-5e35-4982-93ed-285e72ee14eb
            type: string
      responses:
        '200':
          description: Project profile fetched successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  profile:
                    nullable: true
                    type: object
                    properties:
                      name:
                        type: string
                      occupation:
                        type: string
                        minLength: 1
                      industry:
                        type: string
                        minLength: 1
                      brand_presentation:
                        minItems: 1
                        type: array
                        items:
                          type: string
                          minLength: 1
                      products_and_services:
                        minItems: 1
                        type: array
                        items:
                          type: string
                          minLength: 1
                      target_markets:
                        minItems: 1
                        type: array
                        items:
                          type: object
                          properties:
                            market_size:
                              type: string
                              enum:
                                - Neighborhood
                                - City
                                - State/Province
                                - National
                                - Continental Bloc
                                - Global
                            location:
                              type: string
                              minLength: 1
                            osm_id:
                              type: string
                          required:
                            - market_size
                            - location
                      audience_distribution:
                        type: object
                        properties:
                          simple_recommendation_seeker:
                            type: integer
                            minimum: 0
                            maximum: 9007199254740991
                          informed_shopper:
                            type: integer
                            minimum: 0
                            maximum: 9007199254740991
                          evaluative_researcher:
                            type: integer
                            minimum: 0
                            maximum: 9007199254740991
                        required:
                          - simple_recommendation_seeker
                          - informed_shopper
                          - evaluative_researcher
                      used_prepared_profile:
                        type: boolean
                      brandPresentation:
                        minItems: 1
                        type: array
                        items:
                          type: string
                          minLength: 1
                        deprecated: true
                      productsAndServices:
                        minItems: 1
                        type: array
                        items:
                          type: string
                          minLength: 1
                        deprecated: true
                      targetMarkets:
                        minItems: 1
                        type: array
                        items:
                          type: object
                          properties:
                            marketSize:
                              type: string
                              enum:
                                - Neighborhood
                                - City
                                - State/Province
                                - National
                                - Continental Bloc
                                - Global
                            location:
                              type: string
                              minLength: 1
                            osmId:
                              type: string
                          required:
                            - marketSize
                            - location
                        deprecated: true
                      audienceDistribution:
                        type: object
                        properties:
                          simpleRecommendationSeeker:
                            type: integer
                            minimum: 0
                            maximum: 9007199254740991
                          informedShopper:
                            type: integer
                            minimum: 0
                            maximum: 9007199254740991
                          evaluativeResearcher:
                            type: integer
                            minimum: 0
                            maximum: 9007199254740991
                        required:
                          - simpleRecommendationSeeker
                          - informedShopper
                          - evaluativeResearcher
                        deprecated: true
                      usedPreparedProfile:
                        deprecated: true
                        type: boolean
                    required:
                      - name
                      - occupation
                      - industry
                      - brand_presentation
                      - products_and_services
                      - target_markets
                      - audience_distribution
                      - brandPresentation
                      - productsAndServices
                      - targetMarkets
                      - audienceDistribution
                required:
                  - profile
                description: Project profile fetched successfully
        '404':
          description: Response for status 404
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      security:
        - APIKeyHeader: []
        - APIKeyQuery: []
        - BearerAuth: []
components:
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    APIKeyQuery:
      type: apiKey
      in: query
      name: api_key
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````